<?xml version="1.0" encoding="UTF-8"?>
<drawing version="7">
    <attr value="zynq" name="DeviceFamilyName">
        <trait delete="all:0" />
        <trait editname="all:0" />
        <trait edittrait="all:0" />
    </attr>
    <netlist>
        <signal name="XLXN_108" />
        <signal name="XLXN_109" />
        <signal name="CLR" />
        <signal name="CLK" />
        <signal name="DATA_IN(15:0)" />
        <signal name="DATA_OUT(15:0)" />
        <signal name="ADDR(11:0)" />
        <signal name="XLXN_116" />
        <signal name="XLXN_120" />
        <signal name="RESET" />
        <signal name="XLXN_142" />
        <signal name="XLXN_143" />
        <port polarity="Input" name="CLR" />
        <port polarity="Input" name="CLK" />
        <blockdef name="async_reset">
            <timestamp>2019-8-13T11:59:27</timestamp>
            <rect width="304" x="64" y="-192" height="192" />
            <line x2="0" y1="-160" y2="-160" x1="64" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <line x2="432" y1="-160" y2="-160" x1="368" />
            <line x2="432" y1="-32" y2="-32" x1="368" />
        </blockdef>
        <blockdef name="clock10MHz">
            <timestamp>2019-8-13T12:5:45</timestamp>
            <rect width="264" x="32" y="36" height="152" />
            <line x2="32" y1="80" y2="80" x1="0" />
            <line x2="296" y1="80" y2="80" x1="336" />
            <line x2="32" y1="144" y2="144" x1="0" />
            <line x2="296" y1="144" y2="144" x1="336" />
        </blockdef>
        <blockdef name="simple_cpu_v1d">
            <timestamp>2019-11-17T20:50:46</timestamp>
            <rect width="384" x="64" y="-320" height="320" />
            <rect width="64" x="0" y="-300" height="24" />
            <line x2="0" y1="-288" y2="-288" x1="64" />
            <rect width="64" x="448" y="-300" height="24" />
            <line x2="512" y1="-288" y2="-288" x1="448" />
            <line x2="512" y1="-160" y2="-160" x1="448" />
            <line x2="512" y1="-96" y2="-96" x1="448" />
            <line x2="512" y1="-32" y2="-32" x1="448" />
            <rect width="64" x="448" y="-236" height="24" />
            <line x2="512" y1="-224" y2="-224" x1="448" />
            <line x2="0" y1="-192" y2="-192" x1="64" />
            <line x2="0" y1="-144" y2="-144" x1="64" />
        </blockdef>
        <blockdef name="ram_4Kx16_sim">
            <timestamp>2020-3-5T9:59:31</timestamp>
            <rect width="396" x="64" y="-408" height="408" />
            <line x2="0" y1="-224" y2="-224" x1="64" />
            <line x2="0" y1="-160" y2="-160" x1="64" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <rect width="64" x="0" y="-380" height="24" />
            <line x2="0" y1="-368" y2="-368" x1="64" />
            <rect width="64" x="0" y="-316" height="24" />
            <line x2="0" y1="-304" y2="-304" x1="64" />
            <rect width="64" x="464" y="-380" height="24" />
            <line x2="528" y1="-368" y2="-368" x1="464" />
        </blockdef>
        <blockdef name="vcc">
            <timestamp>2000-1-1T10:10:10</timestamp>
            <line x2="64" y1="-32" y2="-64" x1="64" />
            <line x2="64" y1="0" y2="-32" x1="64" />
            <line x2="32" y1="-64" y2="-64" x1="96" />
        </blockdef>
        <blockdef name="addr_decoder">
            <timestamp>2020-7-30T13:33:26</timestamp>
            <rect width="256" x="64" y="-192" height="192" />
            <line x2="384" y1="-160" y2="-160" x1="320" />
            <rect width="64" x="0" y="-172" height="24" />
            <line x2="0" y1="-160" y2="-160" x1="64" />
            <line x2="0" y1="-32" y2="-32" x1="64" />
            <line x2="0" y1="-96" y2="-96" x1="64" />
        </blockdef>
        <block symbolname="clock10MHz" name="OSC">
            <blockpin signalname="CLK" name="clk_in1" />
            <blockpin signalname="XLXN_108" name="clk_out1" />
            <blockpin signalname="CLR" name="reset" />
            <blockpin signalname="XLXN_109" name="locked" />
        </block>
        <block symbolname="async_reset" name="RST">
            <blockpin signalname="XLXN_108" name="clk" />
            <blockpin signalname="XLXN_109" name="locked" />
            <blockpin signalname="CLR" name="reset_in" />
            <blockpin signalname="RESET" name="reset_out" />
            <blockpin name="reset_out_n" />
        </block>
        <block symbolname="simple_cpu_v1d" name="CPU">
            <blockpin signalname="DATA_IN(15:0)" name="DATA_IN(15:0)" />
            <blockpin signalname="DATA_OUT(15:0)" name="DATA_OUT(15:0)" />
            <blockpin name="ROM_EN" />
            <blockpin signalname="XLXN_116" name="RAM_WR" />
            <blockpin signalname="XLXN_142" name="RAM_EN" />
            <blockpin signalname="ADDR(11:0)" name="ADDR(11:0)" />
            <blockpin signalname="XLXN_108" name="CLK" />
            <blockpin signalname="RESET" name="CLR" />
        </block>
        <block symbolname="ram_4Kx16_sim" name="MEM">
            <blockpin signalname="XLXN_108" name="CLK" />
            <blockpin signalname="XLXN_120" name="EN" />
            <blockpin signalname="XLXN_116" name="WE" />
            <blockpin signalname="XLXN_143" name="DUMP" />
            <blockpin signalname="DATA_OUT(15:0)" name="DATA_IN(15:0)" />
            <blockpin signalname="ADDR(11:0)" name="ADDR_IN(11:0)" />
            <blockpin signalname="DATA_IN(15:0)" name="DATA_OUT(15:0)" />
        </block>
        <block symbolname="vcc" name="XLXI_49">
            <blockpin signalname="XLXN_120" name="P" />
        </block>
        <block symbolname="addr_decoder" name="DEC">
            <blockpin signalname="XLXN_143" name="ce" />
            <blockpin signalname="ADDR(11:0)" name="addr(11:0)" />
            <blockpin signalname="XLXN_142" name="en" />
            <blockpin signalname="XLXN_116" name="wr" />
        </block>
    </netlist>
    <sheet sheetnum="1" width="2720" height="1760">
        <branch name="XLXN_108">
            <wire x2="544" y1="560" y2="896" x1="544" />
            <wire x2="704" y1="896" y2="896" x1="544" />
            <wire x2="1296" y1="560" y2="560" x1="544" />
            <wire x2="1296" y1="560" y2="944" x1="1296" />
            <wire x2="1424" y1="944" y2="944" x1="1296" />
            <wire x2="1296" y1="272" y2="272" x1="1184" />
            <wire x2="1296" y1="272" y2="560" x1="1296" />
            <wire x2="1408" y1="272" y2="272" x1="1296" />
        </branch>
        <branch name="XLXN_109">
            <wire x2="1408" y1="336" y2="336" x1="1184" />
        </branch>
        <instance x="704" y="1088" name="CPU" orien="R0">
        </instance>
        <branch name="DATA_IN(15:0)">
            <wire x2="2016" y1="608" y2="608" x1="608" />
            <wire x2="2016" y1="608" y2="800" x1="2016" />
            <wire x2="608" y1="608" y2="800" x1="608" />
            <wire x2="704" y1="800" y2="800" x1="608" />
            <wire x2="2016" y1="800" y2="800" x1="1952" />
        </branch>
        <branch name="DATA_OUT(15:0)">
            <wire x2="1424" y1="800" y2="800" x1="1216" />
        </branch>
        <instance x="1424" y="1168" name="MEM" orien="R0">
        </instance>
        <branch name="ADDR(11:0)">
            <wire x2="1344" y1="1264" y2="1264" x1="720" />
            <wire x2="720" y1="1264" y2="1408" x1="720" />
            <wire x2="784" y1="1408" y2="1408" x1="720" />
            <wire x2="1344" y1="864" y2="864" x1="1216" />
            <wire x2="1424" y1="864" y2="864" x1="1344" />
            <wire x2="1344" y1="864" y2="1264" x1="1344" />
        </branch>
        <branch name="XLXN_116">
            <wire x2="1296" y1="1216" y2="1216" x1="672" />
            <wire x2="672" y1="1216" y2="1472" x1="672" />
            <wire x2="784" y1="1472" y2="1472" x1="672" />
            <wire x2="1296" y1="992" y2="992" x1="1216" />
            <wire x2="1296" y1="992" y2="1072" x1="1296" />
            <wire x2="1296" y1="1072" y2="1216" x1="1296" />
            <wire x2="1424" y1="1072" y2="1072" x1="1296" />
        </branch>
        <branch name="XLXN_120">
            <wire x2="1376" y1="736" y2="1008" x1="1376" />
            <wire x2="1424" y1="1008" y2="1008" x1="1376" />
        </branch>
        <instance x="1312" y="736" name="XLXI_49" orien="R0" />
        <branch name="RESET">
            <wire x2="480" y1="496" y2="944" x1="480" />
            <wire x2="704" y1="944" y2="944" x1="480" />
            <wire x2="2000" y1="496" y2="496" x1="480" />
            <wire x2="2000" y1="272" y2="272" x1="1840" />
            <wire x2="2000" y1="272" y2="496" x1="2000" />
        </branch>
        <instance x="848" y="192" name="OSC" orien="R0">
        </instance>
        <branch name="CLK">
            <wire x2="848" y1="272" y2="272" x1="672" />
        </branch>
        <instance x="1408" y="432" name="RST" orien="R0">
        </instance>
        <branch name="CLR">
            <wire x2="768" y1="336" y2="336" x1="672" />
            <wire x2="848" y1="336" y2="336" x1="768" />
            <wire x2="768" y1="336" y2="432" x1="768" />
            <wire x2="1408" y1="432" y2="432" x1="768" />
            <wire x2="1408" y1="400" y2="432" x1="1408" />
        </branch>
        <iomarker fontsize="28" x="672" y="272" name="CLK" orien="R180" />
        <iomarker fontsize="28" x="672" y="336" name="CLR" orien="R180" />
        <branch name="XLXN_142">
            <wire x2="1248" y1="1168" y2="1168" x1="624" />
            <wire x2="624" y1="1168" y2="1536" x1="624" />
            <wire x2="784" y1="1536" y2="1536" x1="624" />
            <wire x2="1248" y1="1056" y2="1056" x1="1216" />
            <wire x2="1248" y1="1056" y2="1168" x1="1248" />
        </branch>
        <branch name="XLXN_143">
            <wire x2="1408" y1="1408" y2="1408" x1="1168" />
            <wire x2="1424" y1="1136" y2="1136" x1="1408" />
            <wire x2="1408" y1="1136" y2="1408" x1="1408" />
        </branch>
        <instance x="784" y="1568" name="DEC" orien="R0">
        </instance>
    </sheet>
</drawing>